Bug 785728 - [installation] ovirt node installation fails
Summary: [installation] ovirt node installation fails
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: unspecified
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Mike Burns
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-30 13:36 UTC by David Naori
Modified: 2016-04-26 13:57 UTC (History)
9 users (show)

Fixed In Version: 2.3.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-23 11:48:24 UTC
oVirt Team: ---


Attachments (Terms of Use)
ovirtlog (16.94 KB, application/x-compressed-tar)
2012-03-18 15:03 UTC, Rami Vaknin
no flags Details
lspci and lsmod output (1.42 KB, application/x-compressed-tar)
2012-03-19 14:21 UTC, Rami Vaknin
no flags Details

Description David Naori 2012-01-30 13:36:17 UTC
Description of problem:
ovirt node installation fails with the following error:

2012-01-30 11:28:59,204 INFO efi not detected, in configuration.
2012-01-30 11:28:59,204 INFO /sbin/grub2-install
/dev/mapper/35000c4001a65f8db --boot-directory=/liveos --force
2012-01-30 11:29:03,377 INFO /sbin/grub2-setup: error: no such disk.
2012-01-30 11:29:03,377 ERROR GRUB efi setup failed
2012-01-30 11:29:03,377 ERROR Grub2 Installation Failed

Version-Release number of selected component (if applicable):
oVirt node Hypervisor 2.2.2-1.1.fc16

How reproducible:

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Joey Boggs 2012-01-30 16:01:23 UTC
David,

Can you let me know the details of the machine/storage. 

/dev/mapper/35000c4001a65f8db The short device name leads me to believe a possible unusable lun thats unmasked from a san. Can you verify and get me details on that lun/disk?

Comment 2 David Naori 2012-01-30 16:21:25 UTC
its actually a Dell Desktop

System Information:
        Manufacturer: Dell Inc.
        Product Name: OptiPlex 780 

with a local sata hd.

Comment 4 Mike Burns 2012-02-01 14:51:21 UTC
multiple attempts to reproduce this on both similar and different hardware have not succeeded.  Analysis points to this being related to dmraid, but that's not determined yet.  

This should not block ovirt release.

Comment 8 Fabian Deutsch 2012-03-16 13:47:17 UTC
(In reply to comment #2)
> its actually a Dell Desktop
> 
> System Information:
>         Manufacturer: Dell Inc.
>         Product Name: OptiPlex 780 
> 
> with a local sata hd.

David, can you try to reproduce this error with this (quite frsh) build: http://jenkins.ovirt.org/job/ovirt-node/130/artifact/ovirt-node-image-2.3.0-0.130.fc16.git4400d96.iso

Comment 9 Rami Vaknin 2012-03-18 09:35:33 UTC
(In reply to comment #8)
> (In reply to comment #2)
> > its actually a Dell Desktop
> > 
> > System Information:
> >         Manufacturer: Dell Inc.
> >         Product Name: OptiPlex 780 
> > 
> > with a local sata hd.
> 
> David, can you try to reproduce this error with this (quite frsh) build:
> http://jenkins.ovirt.org/job/ovirt-node/130/artifact/ovirt-node-image-2.3.0-0.130.fc16.git4400d96.iso

I'll replace David for this reproduction.
I get 404 for the iso link, could you please verify the path?

Comment 10 Fabian Deutsch 2012-03-18 10:13:11 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > (In reply to comment #2)
> > > its actually a Dell Desktop
> > > 
> > > System Information:
> > >         Manufacturer: Dell Inc.
> > >         Product Name: OptiPlex 780 
> > > 
> > > with a local sata hd.
> > 
> > David, can you try to reproduce this error with this (quite frsh) build:
> > http://jenkins.ovirt.org/job/ovirt-node/130/artifact/ovirt-node-image-2.3.0-0.130.fc16.git4400d96.iso
> 
> I'll replace David for this reproduction.
> I get 404 for the iso link, could you please verify the path?

The project got renamed a couple of days ago.
Here is an updated link

http://jenkins.ovirt.org/view/ovirt_node/job/ovirt-node-stable/130/artifact/ovirt-node-image-2.3.0-0.130.fc16.git4400d96.iso

an it's origin:

http://jenkins.ovirt.org/view/ovirt_node/job/ovirt-node-stable/130/

Comment 11 Rami Vaknin 2012-03-18 15:02:57 UTC
I've installed from: http://jenkins.ovirt.org/view/ovirt_node/job/ovirt-node-stable/130/artifact/ovirt-node-image-2.3.0-0.130.fc16.git4400d96.iso

Installation failed with the below error (reproduced twice):


2012-03-18 14:38:40,378 - INFO - install - efi not detected, installing grub2 configuraton
2012-03-18 14:38:40,378 - INFO - install - /sbin/grub2-install /dev/mapper/35000c5001a65f8db --boot-directory=/liveos --force
2012-03-18 14:39:05,794 - INFO - install - /sbin/grub2-setup: warn: This GPT partition label has no BIOS Boot Partition; embedding won't be possible!.
/sbin/grub2-setup: warn: Embedding is not possible.  GRUB can only be installed in this setup by using blocklists.  However, blocklists are UNRELIABLE and their use is discouraged..
/sbin/grub2-setup: error: cannot read `/grub2/core.img' correctly.

2012-03-18 14:39:05,795 - ERROR - install - GRUB efi setup failed
2012-03-18 14:39:05,795 - ERROR - install - Grub2 Installation Failed

Comment 12 Rami Vaknin 2012-03-18 15:03:43 UTC
Created attachment 570904 [details]
ovirtlog

Comment 13 Fabian Deutsch 2012-03-18 18:33:15 UTC
As a note: I wasn't able to reproduce this.

Looking at the log it seems as if the gpt partition is created, but also the following appears quite often:

device-mapper: remove ioctl failed: Device or resource busy
Warning: parted was unable to re-read the partition table on /dev/mapper/35000c5001a65f8db (No such file or directory).  This means Linux won't know anything about the modifications you made. 
...
device-mapper: remove ioctl failed: Device or resource busy
Warning: parted was unable to re-read the partition table on /dev/mapper/35000c5001a65f8db (Device or resource busy).  This means Linux won't know anything about the modifications you made. 

This could mean that grub just see the freshly labeled disk.

Could you give us some informations about the storage device - e.g. drivers used. lsmod, lscpci or a smolt profile.

Comment 14 Rami Vaknin 2012-03-19 14:21:45 UTC
Created attachment 571137 [details]
lspci and lsmod output

Comment 15 Joey Boggs 2012-03-22 13:18:55 UTC
Can you retry with the latest iso, there was a change in the grub setup that should resolve this error:

http://jenkins.ovirt.org/job/ovirt-node-iso/

Comment 16 Rami Vaknin 2012-03-22 15:25:54 UTC
Now installation passed successfully (when using the iso from: http://jenkins.ovirt.org/job/ovirt-node-iso/)

Comment 17 Mike Burns 2012-03-23 11:48:24 UTC
Awesome, thanks!


Note You need to log in before you can comment on or make changes to this bug.